Bug 593414 - Documentation recommends an unacceptable global statement_timeout of 30 seconds
Summary: Documentation recommends an unacceptable global statement_timeout of 30 seconds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Documentation
Version: 1.3.1
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Deon Ballard
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-18 18:23 UTC by Larry O'Leary
Modified: 2018-10-27 16:17 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:58:51 UTC


Attachments (Terms of Use)

Description Larry O'Leary 2010-05-18 18:23:57 UTC
http://www.redhat.com/docs/en-US/JBoss_ON/2.3/html/Installation_Guide/Installation_Guide-Prerequisites-Database.html#Installation_Guide-Database-Postgres_Preparation recommends that statement_timeout be set to 30s.  I do not know where this recommendation comes from but as PostgreSQL recommends that this value be 0, I think we should honour that.

Furthermore, 30s does not seem to be adequate to handle data compression in large environments.  This recommendation should be reviewed and the documentation should be corrected to reflect that this value should be evaluated and increased in situations that require it.

We should also change this from a global recommendation to a user setting recommendation:

ALTER USER rhqadmin SET statement_timeout=300000;

Comment 3 Corey Welton 2010-06-02 13:30:20 UTC
QA Verified... I think this documentation note looks good now.

Comment 4 Corey Welton 2010-08-12 16:58:51 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.